Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591724 - invalid HA_LOCK_URL results in segfault
Summary: invalid HA_LOCK_URL results in segfault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor
Version: Development
Hardware: All
OS: Linux
low
low
Target Milestone: 1.3
: ---
Assignee: Matthew Farrellee
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 21:56 UTC by Matthew Farrellee
Modified: 2010-10-20 11:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-20 11:28:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthew Farrellee 2010-05-12 21:56:33 UTC
[root@woods ~]# _CONDOR_MASTER_INSTANCE_LOCK=/tmp/lock _CONDOR_HA_LOCK_URL=file:/tmp _CONDOR_MASTER_HA_LIST=SCHEDD condor_master -t -f
05/12 17:55:09 ******************************************************
05/12 17:55:09 ** condor_master (CONDOR_MASTER) STARTING UP
05/12 17:55:09 ** /usr/sbin/condor_master
05/12 17:55:09 ** SubsystemInfo: name=MASTER type=MASTER(2) class=DAEMON(1)
05/12 17:55:09 ** Configuration: subsystem:MASTER local:<NONE> class:DAEMON
05/12 17:55:09 ** $CondorVersion: 7.4.3 May  5 2010 BuildID: RH-7.4.3-0.13.el5 PRE-RELEASE $
05/12 17:55:09 ** $CondorPlatform: X86_64-LINUX_RHEL5 $
05/12 17:55:09 ** PID = 26641
05/12 17:55:09 ** Log last touched time unavailable (Success)
05/12 17:55:09 ******************************************************
05/12 17:55:09 Using config source: /etc/condor/condor_config
05/12 17:55:09 Using local config sources: 
05/12 17:55:09    /var/lib/condor/condor_config.local
05/12 17:55:09 DaemonCore: Command Socket at <127.0.0.1:36626>
05/12 17:55:09 Started DaemonCore process "/usr/sbin/condor_schedd", pid and pgroup = 26642
05/12 17:55:09 Started DaemonCore process "/usr/sbin/condor_collector", pid and pgroup = 26643
05/12 17:55:12 Started DaemonCore process "/usr/sbin/condor_negotiator", pid and pgroup = 26647
05/12 17:55:12 Started DaemonCore process "/usr/sbin/condor_startd", pid and pgroup = 26648

[root@woods ~]# _CONDOR_MASTER_INSTANCE_LOCK=/tmp/lock _CONDOR_HA_LOCK_URL=file:/tmpbogus _CONDOR_MASTER_HA_LIST=SCHEDD condor_master -t -f
05/12 17:55:19 ******************************************************
05/12 17:55:19 ** condor_master (CONDOR_MASTER) STARTING UP
05/12 17:55:19 ** /usr/sbin/condor_master
05/12 17:55:19 ** SubsystemInfo: name=MASTER type=MASTER(2) class=DAEMON(1)
05/12 17:55:19 ** Configuration: subsystem:MASTER local:<NONE> class:DAEMON
05/12 17:55:19 ** $CondorVersion: 7.4.3 May  5 2010 BuildID: RH-7.4.3-0.13.el5 PRE-RELEASE $
05/12 17:55:19 ** $CondorPlatform: X86_64-LINUX_RHEL5 $
05/12 17:55:19 ** PID = 26667
05/12 17:55:19 ** Log last touched time unavailable (Success)
05/12 17:55:19 ******************************************************
05/12 17:55:19 Using config source: /etc/condor/condor_config
05/12 17:55:19 Using local config sources: 
05/12 17:55:19    /var/lib/condor/condor_config.local
05/12 17:55:19 DaemonCore: Command Socket at <127.0.0.1:36078>
Stack dump for process 26667 at timestamp 1273701319 (10 frames)
condor_master(dprintf_dump_stack+0x4e)[0x48babe]
condor_master[0x48d892]
/lib64/libpthread.so.0[0x317aa0e7c0]
condor_master(_ZN10CondorLock11AcquireLockEbPi+0x8)[0x485d68]
condor_master(_ZN6daemon5StartEb+0x87)[0x467697]
condor_master(_ZN7Daemons15StartAllDaemonsEv+0x6b)[0x46829b]
condor_master(_Z9main_initiPPc+0x53e)[0x46393e]
condor_master(main+0xdbc)[0x4854ec]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3179e1d994]
condor_master(__gxx_personality_v0+0x369)[0x461be9]
Segmentation fault

[root@woods ~]# _CONDOR_MASTER_INSTANCE_LOCK=/tmp/lock _CONDOR_HA_LOCK_URL=/tmp _CONDOR_MASTER_HA_LIST=SCHEDD condor_master -t -f
05/12 17:56:10 ******************************************************
05/12 17:56:10 ** condor_master (CONDOR_MASTER) STARTING UP
05/12 17:56:10 ** /usr/sbin/condor_master
05/12 17:56:10 ** SubsystemInfo: name=MASTER type=MASTER(2) class=DAEMON(1)
05/12 17:56:10 ** Configuration: subsystem:MASTER local:<NONE> class:DAEMON
05/12 17:56:10 ** $CondorVersion: 7.4.3 May  5 2010 BuildID: RH-7.4.3-0.13.el5 PRE-RELEASE $
05/12 17:56:10 ** $CondorPlatform: X86_64-LINUX_RHEL5 $
05/12 17:56:10 ** PID = 26676
05/12 17:56:10 ** Log last touched time unavailable (Success)
05/12 17:56:10 ******************************************************
05/12 17:56:10 Using config source: /etc/condor/condor_config
05/12 17:56:10 Using local config sources: 
05/12 17:56:10    /var/lib/condor/condor_config.local
05/12 17:56:10 DaemonCore: Command Socket at <127.0.0.1:45303>
Stack dump for process 26676 at timestamp 1273701370 (10 frames)
condor_master(dprintf_dump_stack+0x4e)[0x48babe]
condor_master[0x48d892]
/lib64/libpthread.so.0[0x317aa0e7c0]
condor_master(_ZN10CondorLock11AcquireLockEbPi+0x8)[0x485d68]
condor_master(_ZN6daemon5StartEb+0x87)[0x467697]
condor_master(_ZN7Daemons15StartAllDaemonsEv+0x6b)[0x46829b]
condor_master(_Z9main_initiPPc+0x53e)[0x46393e]
condor_master(main+0xdbc)[0x4854ec]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3179e1d994]
condor_master(__gxx_personality_v0+0x369)[0x461be9]
Segmentation fault

Comment 1 Matthew Farrellee 2010-05-15 20:09:40 UTC
https://condor-wiki.cs.wisc.edu/index.cgi/tktview?tn=1409

Comment 2 Matthew Farrellee 2010-05-15 20:12:03 UTC
Should appear in 7.4.3-0.14

Comment 3 Luigi Toscano 2010-10-15 15:46:45 UTC
When the value of HA_LOCK_URL is not valid (i.e. it does not respect the schema for a URI, like file:/path, or it contains an invalid path), condor_master does not segfault anymore but it prints an error message into MasterLog:

"ERROR "Failed to create lock at file:/path" at line 49 in file condor_lock.cpp"

and it terminates gracefully.

Verified on RHEL 4.8/5.5, i386/x86_64.
condor-7.4.4-0.16


Note You need to log in before you can comment on or make changes to this bug.